Summary:	GNOME screen ruler
Name:		screenruler
Version:	0.85
Release:	2%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://gnomecoder.wordpress.com/screenruler/
Source0:	http://code.launchpad.net/screenruler/trunk/0.85/+download/%{name}-%{version}.tar.gz
Source1:	screenruler.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
Requires(abi):	ruby
Requires:	ruby-libglade2 > 0.16.0-24
Requires:	ruby-gconf2
Obsoletes:	gruler < 0.85
Provides:	gruler = %{version}-%{release}

BuildArch:	noarch

%description
Screenruler is a small GNOME based utility that allows you to measure objects 
on your desktop. It can be used to take both horizontal and vertical
measurement in 6 different metrics: pixels, centimeters, inches, picas, points,
and as a percentage of the ruler’s length.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}

cat << EOF > screenruler
#!/bin/bash

cd %{_datadir}/%{name}
ruby ./screenruler.rb
EOF
chmod 0755 screenruler

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p screenruler %{buildroot}%{_bindir}/
cp -p screenruler-icon.png %{buildroot}%{_datadir}/pixmaps/
cp -pr utils *.rb screenruler*.* %{buildroot}%{_datadir}/%{name}/

desktop-file-install --vendor="fedora"				\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications		\
	%{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING 
%{_bindir}/screenruler
%{_datadir}/screenruler/
%{_datadir}/pixmaps/screenruler-icon.png
%{_datadir}/applications/*.desktop

%changelog
* Wed Oct 01 2008 Deji Akingunola <dakingun@gmail.com> - 0.85-2
- Spec clean-ups from package review 

* Mon Sep 22 2008 Deji Akingunola <dakingun@gmail.com> - 0.85-1
- Follow upstream renaming to Screenruler

* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-3
- Package review update (Bugzilla #430455)

* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-2
- Explicitly require ruby
- Also require versions of ruby-libglade2 which have been fixed of bug 428781

* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-1
- Initial package
